Subject: Re: [bug#70895] [PATCH] grafts: Only compute necessary graft derivations.

From: David Elsing <[email-masked]>
Date: Fri, 31 Jan 2025 23:02:47 +0000

Hello,

Ludovic Courtès <[email-masked]> writes:

> Uh, looks like this is a real bug.  I’m surprised because we do have
> tests for that in ‘tests/gexp.scm’ (and it’s actually used in a few
> important places), but maybe they’re not exercising the right thing.

Yes indeed, 'with-parameters' is tested for %current-system and
%current-target-system, which are evaluated earlier as a special case in
the gexp-compiler of <parameterized>, and an additional parameter is
only tested by immediately evaluating it.

Best,
David